### Method

# Ide Pipeline get_host_triplet

#### Declaration

    IdeTriplet*
    ide_pipeline_get_host_triplet (
      IdePipeline* self
    )

#### Description

Gets the “host” triplet which specifies where the build results will run.

This is a convenience wrapper around getting the triplet from the device set for the build pipeline.

Available since: | 3.32

#### Return value

Returns: | `IdeTriplet`
| An `IdeTriplet`.
| The data is owned by the instance.